using Elwig.Helpers;
using System;
using System.Windows;

namespace Elwig.Windows {
    public abstract class ContextWindow : Window {

        protected readonly AppDbContext Context;

        public ContextWindow() : base() {
            Context = new();
        }

        protected override void OnClosed(EventArgs evt) {
            base.OnClosed(evt);
            Context.Dispose();
        }
    }
}
